{-# LANGUAGE DeriveGeneric #-}

module Types.User (User, clientToUser) where

import ClassyPrelude
import Data.Aeson (FromJSON, ToJSON)
import Data.UUID (UUID)
import Types.ConnectionState qualified as C

data User = User
  { uuid :: UUID,
    name :: Text
  }
  deriving (Generic, Show, Eq)

clientToUser :: C.Client -> User
clientToUser C.Client {C.uuid = userUuid, C.name = userName, C.joinedRoom = _, C.conn = _} = User userUuid userName

instance ToJSON User

instance FromJSON User
